class "not-patrolled" no longer set for <li> on Special:NewPages
Closed, ResolvedPublic

Description

class "not-patrolled" no longer set for <li> on enwiki Special:NewPages

This was present as of 11 August 2017, no longer appearing

enwiki discussion: https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=796038700#New_pages_--_patrolled.3F

May be same problem as phab:T144132

Xaosflux created this task.Aug 18 2017, 2:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2017, 2:43 AM

I believe that this is caused by my patch for T171138. I'll upload a patch to fix the disappearing color problem.

Recent changes to SpecialNewpages.php: f45b40f, 7660fe1, 4475e1c

Aklapper triaged this task as High priority.Aug 18 2017, 7:27 AM

I believe that this is caused by my patch for T171138. I'll upload a patch to fix the disappearing color problem.

Yeah, confirmed. wfArrayFilterByKey filtered out the added classes.

Change 372509 had a related patch set uploaded (by Zhuyifei1999; owner: Zhuyifei1999):
[mediawiki/core@master] SpecialNewpages: add $attribs['class'] immediately before creating <li>

https://gerrit.wikimedia.org/r/372509

@Shizhao added a project: User-notice.

@Shizhao: Why?

Liuxinyu970226 added a subscriber: Liuxinyu970226.

@Shizhao added a project: User-notice.

@Shizhao: Why?

I removed, agree that this is not currently suitable for TN.

Same problem on frwiki.

Thibaut120094 renamed this task from class "not-patrolled" no longer set for <li> on enwiki Special:NewPages to class "not-patrolled" no longer set for <li> on Special:NewPages.Aug 19 2017, 1:24 PM
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Aug 21 2017, 10:19 AM

How to fix this error?

You have to just wait till it be fixed by the developers. There's nothing you can do. If the patch (https://gerrit.wikimedia.org/r/#/c/372509/) will be fixed before next release, it'll be fixed this week. If not, the week after.

Change 372509 merged by jenkins-bot:
[mediawiki/core@master] SpecialNewpages: add $attribs['class'] immediately before creating <li>

https://gerrit.wikimedia.org/r/372509

In ca, es and ptwiki aren't fix yet. We need do anything?

No. Just wait till next MediaWiki train which will be in 30 minutes for test.wikipedia.org, test2.wikipedia.org and mediawiki.org, at August 23 19:00-21:00 UTC for all non-Wikipedia sites, cawiki and hewiki and at August 24 19:00-21:00 UTC for all remaining Wikipedias. The 'merged' message from gerritbot above means only it is in current master branch and will be deployed at the very next MW train. You can see our deployment calendar at https://wikitech.wikimedia.org/wiki/Deployments.

RuyP added a subscriber: RuyP.Aug 23 2017, 3:16 AM

That isn't a reason for removing all the projects. They are used for filtering etc. But MW train is AFAIK over, so it should be resolved everywhere.